Subject: bug#72880: Error message when opening Emacs or a file: "fatal error: cannot execute 'as': CreateProcess: no such file or direcotory

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Aug 2024 09:21:48 +0300

merge 72880 72055
thanks

> From: Jose Manuel Alcala <[email-masked]>
> Date: Thu, 29 Aug 2024 19:13:22 +0000
> 
> I am using Emacs 29.4 on Windows 11 pro 23H2. When I open a file or in the
> Welcome page if I do nothing, a warning message appears:
> 
> "Warning (comp): x86_64-w64-mingw32-gcc-11.3.0: fatal error: cannot
> execute 'as': CreateProcess: No such file or directory"
> 
> If I open a file, this message appears several times repeated.
> 
> As far as I have noticed, it doesn't affect the use of Emacs, but this
> buffer with these errors appears everytime I open Emacs. I have
> reinstalled Emacs in the latest release 29.4 but the error remains.

This is a known bug in the Windows binary distribution, see

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72055

It should be solved by the latest binary installer, and if not, will
be solved soon.  Perhaps you need to install Emacs 30 for that.
Corwin, am I right?

You should also be able to fix avoid the warning if you remove or
rename the libgccjit DLL that the Emacs installer mistakenly installs.